<?php

define("PREREGEXP", "/(\"\".*?\"\"|::(\S)?::)/sm");

    


if (!function_exists("pre2callback"))
{

  function pre2callback($things)
  {
    global $wakka;

    $thing = $things[1];

    if (preg_match("/^\"\"(.*)\"\"$/s", $thing, $matches))
    {                                    
      return "\"\"".$matches[1]."\"\"";
    }
    else if ($thing==":::::")
    {                                    
      return "((/".$wakka->GetUserName()." ".$wakka->GetUserName().")):";
    }
    else if ($thing=="::::")
    {                                    
      return "((/".$wakka->GetUserName()." ".$wakka->GetUserName()."))";
    }
    else if ($thing=="::@::")
    {                                    
      return "((/".$wakka->GetUserName()." ".$wakka->GetUserName()."))"." ".date("/d.m.Y H:i/");
    }
    else if ($thing=="::+::")
    {                                    
      return date("d.m.Y H:i");
    }
    return $thing;
  }
}


$text = preg_replace_callback(PREREGEXP, "pre2callback", $text);
print($text);


?>