<?php

if ($pages = $this->LoadRecentlyCommented())
{
  foreach ($pages as $page)
  {
    $access =$this->HasAccess("read",$page["tag"]);
    if ($access || !$this->config["hide_locked"])
    {
      // day header
      list($day, $time) = explode(" ", $page["comment_time"]);
      if ($day != $curday)
      {
        if ($curday) print("<br />\n");
        print("<strong>$day:</strong><br />\n");
        $curday = $day;
      }

      // print entry
        print("&nbsp;&nbsp;&nbsp;<span class=dt>".$time."</span> &#151; (<a href=\"".
              $this->href("", $page["tag"], "show_comments=1")."#comments\">".$page["tag"]."</a>".
              ") . . . . . . . . . . . . . . . . <small>".$this->GetResourceValue("LatestCommentBy")." ".
              ($this->IsWikiName($page["comment_user"])?$this->Link("/".$page["comment_user"],"",$page["comment_user"] ):$page["comment_user"])."</small><br />\n");
    }
  }
}
else
{
  echo $this->GetResourceValue("NoRecentlyCommented");
}

?>