<!--notypo-->
<?php
if ($_REQUEST["action"] == "logout")
{
  $this->LogoutUser();
  $this->SetMessage($this->GetResourceValue("LoggedOut"));
  $this->Redirect($this->href());
}
else if ($user = $this->GetUser())
{
  
  // is user trying to update?
  if ($_REQUEST["action"] == "update")
  {
    $bookmarks = str_replace("\r", "", $_POST["bookmarks"]);

    $this->Query("update ".$this->config["table_prefix"]."users set ".
      "email = '".quote($_POST["email"])."', ".
      "doubleclickedit = '".quote($_POST["doubleclickedit"])."', ".
      "showdatetime = '".quote($_POST["showdatetimeinlinks"])."', ".
      "show_comments = '".quote($_POST["show_comments"])."', ".
      "revisioncount = '".quote($_POST["revisioncount"])."', ".
      "changescount = '".quote($_POST["changescount"])."', ".
      "motto = '".quote($_POST["motto"])."', ".
      "bookmarks = '".quote($bookmarks)."', ".
      "show_spaces = '".quote($_POST["show_spaces"])."', ".
      "typografica = '".quote($_POST["typografica"])."', ".
      "lang = '".quote($_POST["lang"])."' ".
      "where name = '".$user["name"]."' limit 1");
    
    $this->SetUser($this->LoadUser($user["name"]));
    
    // forward
    $this->SetMessage($this->GetResourceValue("SettingsStored"));

    $this->Redirect($this->href());
  }
  
  // user is logged in; display config form
  print($this->FormOpen());
  ?>
  <input type="hidden" name="action" value="update" />
  <table>
    <tr>
      <td align="right"></td>
      <td><?php echo $this->GetResourceValue("Hello").", ".$this->ComposeLinkToPage($user["name"]) ?>!</td>
    </tr>
    <tr>
      <td align="right"><?php echo $this->GetResourceValue("YourEmail");?>:</td>
      <td><input name="email" value="<?php echo htmlentities($user["email"]) ?>" size="40" /></td>
    </tr>
    <tr>
      <td align="right"><?php echo $this->GetResourceValue("DoubleclickEditing");?>:</td>
      <td><input type="hidden" name="doubleclickedit" value="N"><input type="checkbox" name="doubleclickedit" value="Y" <?php echo $user["doubleclickedit"] == "Y" ? "checked" : "" ?> /></td>
    </tr>
    <tr>
      <td align="right"><?php echo $this->GetResourceValue("ShowDateTimeInLinks");?>:</td>
      <td><input type="hidden" name="showdatetimeinlinks" value="N"><input type="checkbox" name="showdatetimeinlinks" value="Y" <?php echo $user["showdatetime"] == "Y" ? "checked" : "" ?> /></td>
    </tr>
    <tr>
      <td align="right"><?php echo $this->GetResourceValue("ShowComments?");?>:</td>
      <td><input type="hidden" name="show_comments" value="N"><input type="checkbox" name="show_comments" value="Y" <?php echo $user["show_comments"] == "Y" ? "checked" : "" ?> /></td>
    </tr>
    <tr>
      <td align="right"><?php echo $this->GetResourceValue("ShowSpaces");?>:</td>
      <td><input type="hidden" name="show_spaces" value="N"><input type="checkbox" name="show_spaces" value="Y" <?php echo $user["show_spaces"] == "Y" ? "checked" : "" ?> /></td>
    </tr>
    <tr>
      <td align="right"><?php echo $this->GetResourceValue("Typografica");?>:</td>
      <td><input type="hidden" name="typografica" value="N"><input type="checkbox" name="typografica" value="Y" <?php echo $user["typografica"] == "Y" ? "checked" : "" ?> /></td>
    </tr>
    <tr>
      <td align="right"><?php echo $this->GetResourceValue("YourLanguage");?>:</td>
      <td>
      <select name="lang">
      <option value=""></option>
      <?php 
      $langs = $this->AvailableLanguages();
      for ($i=0;$i<count($langs);$i++) {
        echo '<option value="'.$langs[$i].'" '.($user["lang"]==$langs[$i]?"selected=\"selected\"":"").'>'.$langs[$i].'</option>';
      }
      ?>
      </select>
      </td>
    </tr>
    <tr>
      <td align="right"><?php echo $this->GetResourceValue("RecentChangesLimit");?>:</td>
      <td><input name="changescount" value="<?php echo htmlentities($user["changescount"]) ?>" size="40" /></td>
    </tr>
    <tr>
      <td align="right"><?php echo $this->GetResourceValue("RevisionListLimit");?>:</td>
      <td><input name="revisioncount" value="<?php echo htmlentities($user["revisioncount"]) ?>" size="40" /></td>
    </tr>
    <tr>
      <td align="right"><?php echo $this->GetResourceValue("YourMotto");?>:</td>
      <td><input name="motto" value="<?php echo htmlspecialchars($user["motto"]) ?>" size="40" /></td>
    </tr>
    <tr>
      <td align="right" valign="top"><?php echo $this->GetResourceValue("YourBookmarks");?>:</td>
      <td><textarea name="bookmarks" cols="40" rows="10"><?php echo htmlspecialchars($user["bookmarks"]) ?></textarea></td>
    </tr>
    <tr>
      <td></td>
      <td>
          <input class="OkBtn" onmouseover='this.className="OkBtn_";' 
                                 onmouseout ='this.className="OkBtn";' 
                 type="submit" align="top" value="<?php echo $this->GetResourceValue("UpdateSettingsButton"); ?>" />
          <img src="<?php echo $this->GetConfigValue("root_url");?>images/z.gif" width="10" height="1" alt="" border="0" />
          <input class="CancelBtn" onmouseover='this.className="CancelBtn_";' 
                                     onmouseout ='this.className="CancelBtn";' 
                 type="button" align="top" value="<?php echo $this->GetResourceValue("LogoutButton"); ?>" onClick="document.location='<?php echo $this->href("", "", "action=logout"); ?>'" />
    </tr>
  </table>
  <br />
<?php
//  echo $this->Format($this->GetResourceValue("SeeListOfPages"))."<br />";
  print($this->FormClose());
}
else
{
  // user is not logged in
  echo $this->Action("login");
}
?>
<!--/notypo-->
